Jetspeed 2
  1. Jetspeed 2
  2. JS2-871

Upgrade Pluto container to version 2.0.0 with Portlet 2.0/JSR-286 support

    Details

    • Type: New Feature New Feature
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: 2.2.0
    • Fix Version/s: 2.2.0
    • Component/s: Container
    • Labels:
      None

      Description

      Pluto 2.0 is currently undergoing refactoring (see Pluto branch 2.0-spi-refactoring) to restore the ability to incorporate it back in larger scale Portals like Jetspeed-2.

      The currently used Pluto 1.0.1 container is outdated and we need to get back in sync with Pluto trunk development ASAP.

      Note: the target for this upgrade is JSR-168 only (for now).
      Adding JSR-286 (Portlet API 2.0) will be a follow up task for the next major Jetspeed 2 release (2.3 or higher).

      One particular important integration point is the Portlet Preferences. JS2-869 targets a complete rewrite of the Jetspeed Preferences backend and that issue should take the new Pluto 2.0 model and API into account.

        Issue Links

          Activity

          Hide
          Ate Douma added a comment -

          The Pluto 2.0 upgrade has been completed some time ago already.
          We're now on target on providing JSR-286 support, planned for the next release 2.2 (not 2.3!)

          Show
          Ate Douma added a comment - The Pluto 2.0 upgrade has been completed some time ago already. We're now on target on providing JSR-286 support, planned for the next release 2.2 (not 2.3!)
          Hide
          Ate Douma added a comment -

          The Pluto container API has recently been drastically changed/improved (by me) which requires another round of updates within Jetspeed too to get aligned again.

          Note: during this process of upgrading the Jetspeed-2 trunk will temporarily be unstable not work and might not even compile for a while.

          Anyone building against the Jetspeed-2 trunk is advised to not update until this issue is resolved again!

          Show
          Ate Douma added a comment - The Pluto container API has recently been drastically changed/improved (by me) which requires another round of updates within Jetspeed too to get aligned again. Note: during this process of upgrading the Jetspeed-2 trunk will temporarily be unstable not work and might not even compile for a while. Anyone building against the Jetspeed-2 trunk is advised to not update until this issue is resolved again!
          Hide
          Ate Douma added a comment -

          Updating this issue summary to indicate this now does cover JSR-286 support for Jetspeed release 2.2 already.
          All tests of the JSR-286 TCK are passing on the upgraded Jetspeed-2 trunk too: time to close this issue as completed.

          Show
          Ate Douma added a comment - Updating this issue summary to indicate this now does cover JSR-286 support for Jetspeed release 2.2 already. All tests of the JSR-286 TCK are passing on the upgraded Jetspeed-2 trunk too: time to close this issue as completed.

            People

            • Assignee:
              Ate Douma
              Reporter:
              Ate Douma
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 336h
                336h
                Remaining:
                Remaining Estimate - 336h
                336h
                Logged:
                Time Spent - Not Specified
                Not Specified

                  Development